MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028907Open CASCADE[OCCT] OCCT:Codingpublic2017-07-10 11:242017-09-29 16:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028907: Coding Rules, OpenGl_GraphicDriver - fix class fields accidentally marked public
DescriptionOpenGl_GraphicDriver defines several class fields (myLayerIds, myLayerSeq, myMapOfZLayerSettings) as public, which does not make sense.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0026806newkgv Improper design of some classes in Graphic3d 

-  Notes
(0068147)
git (administrator)
2017-07-10 11:25

Branch CR28907 has been created by kgv.

SHA-1: 0bf32bf4b641af211634a6b848ec44f691daf639


Detailed log of new commits:

Author: kgv
Date: Mon Jul 10 11:24:29 2017 +0300

    0028907: Coding Rules, OpenGl_GraphicDriver - fix class fields accidentally marked public
(0068148)
kgv (developer)
2017-07-10 11:29

Please check compilation, regression testing is not needed.
(0068160)
mkv (tester)
2017-07-10 14:57

Dear BugMaster,
Branch CR28907 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 0bf32bf4b641af211634a6b848ec44f691daf639

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1147
(0068161)
mkv (tester)
2017-07-10 14:58

Dear BugMaster,
Branch CR28907 from occt git-repository is TESTED.
(0068352)
git (administrator)
2017-07-17 10:05

Branch CR28907 has been deleted by kgv.

SHA-1: 0bf32bf4b641af211634a6b848ec44f691daf639

- Related Changesets
occt: master 99cfc277
Timestamp: 2017-07-10 08:24:29
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028907: Coding Rules, OpenGl_GraphicDriver - fix class fields accidentally marked public
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-10 11:24 kgv New Issue
2017-07-10 11:24 kgv Assigned To => kgv
2017-07-10 11:25 git Note Added: 0068147
2017-07-10 11:26 kgv Relationship added child of 0026806
2017-07-10 11:29 kgv Note Added: 0068148
2017-07-10 11:29 kgv Assigned To kgv => bugmaster
2017-07-10 11:29 kgv Severity minor => trivial
2017-07-10 11:29 kgv Status new => resolved
2017-07-10 11:30 kgv Status resolved => reviewed
2017-07-10 12:53 mkv Assigned To bugmaster => mkv
2017-07-10 13:51 mkv Test case number => Not needed
2017-07-10 14:57 mkv Note Added: 0068160
2017-07-10 14:58 mkv Note Added: 0068161
2017-07-10 14:58 mkv Assigned To mkv => bugmaster
2017-07-10 14:58 mkv Status reviewed => tested
2017-07-14 13:55 bugmaster Changeset attached => occt master 99cfc277
2017-07-14 13:55 bugmaster Status tested => verified
2017-07-14 13:55 bugmaster Resolution open => fixed
2017-07-17 10:05 git Note Added: 0068352
2017-09-29 16:18 aiv Fixed in Version => 7.2.0
2017-09-29 16:28 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker